Bug 1570259 - google-chrome.xml metadata file has errors
Summary: google-chrome.xml metadata file has errors
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: appstream-data
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-21 11:22 UTC by Fabio Valentini
Modified: 2018-10-19 15:50 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-10-16 11:39:01 UTC


Attachments (Terms of Use)

Description Fabio Valentini 2018-04-21 11:22:00 UTC
Description of problem:
The file /usr/share/app-info/xmls/google-chrome.xml has, according to appstream, errors (it won't print which errors, though). This leads to errors and misbehaviors in applications using libappstream. For example, appcenter shows an empty software catalog when this error is triggered.

Reinstalling appstream-data with dnf resolves the issue most of the time, but opening an application which uses appstream metadata causes the issue to re-surface (which makes me think this has something to do with caching).


Version-Release number of selected component (if applicable):
appstream-data-27-10.fc27.noarch
appstream-0.11.8-2.fc27.x86_64
appcenter-0.2.9-1.fc27.x86_64


How reproducible:
Every time after opening appcenter, this error resurfaces, and sometimes it seems to do so even without any user interaction.


Steps to Reproduce:
1. $ appstreamcli status # see successful report
2. open appcenter
3. $ appstreamcli status # see part of the report and an error message


Actual results: (appstreamcli status)
  (snip)
  Summary:
  Error while loading the metadata pool: Metadata files have errors: /usr/share/app-info/xmls/google-chrome.xml


Expected results: (appstreamcli status)
  (snip)
  Summary:
  We have information on 1580 software components.


I'm not sure, but I think this error should also affect other applications using libappstream, for example KDE's Plasma Discover.

Comment 1 Fabio Valentini 2018-09-19 16:51:03 UTC
This is still an issue on all fedora releases, including 29. appcenter is still broken (it does not deal well with errors), and plasma-discover also complains:

Message banner at launch:
"Please make sure that appstream is correctly set up on your system."

Logged message on stdout/stderr:
Could not open the AppStream metadata pool "Metadata files have errors: /usr/share/app-info/xmls/google-chrome.xml"

Comment 2 Fedora Update System 2018-10-12 10:54:38 UTC
appstream-0.12.2-2.fc29 appstream-data-29-7.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-3e4ee09428

Comment 3 Fedora Update System 2018-10-12 10:55:07 UTC
appstream-0.12.2-2.fc28 appstream-data-28-10.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-87feccbd96

Comment 4 Fedora Update System 2018-10-12 11:17:28 UTC
appstream-data-27-14.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-3ab8b6a632

Comment 5 Fedora Update System 2018-10-12 18:25:30 UTC
appstream-0.12.2-2.fc29, appstream-data-29-7.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-3e4ee09428

Comment 6 Fedora Update System 2018-10-12 20:54:12 UTC
appstream-data-27-14.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-3ab8b6a632

Comment 7 Fedora Update System 2018-10-12 21:27:50 UTC
appstream-0.12.2-2.fc28, appstream-data-28-10.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-87feccbd96

Comment 8 Fedora Update System 2018-10-16 11:39:01 UTC
appstream-0.12.2-2.fc28, appstream-data-28-10.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-10-16 13:42:52 UTC
appstream-0.12.2-2.fc29, appstream-data-29-7.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-10-19 15:50:06 UTC
appstream-data-27-14.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.